import * as React from "react";
import { EthAddress } from "@joincivil/typescript-types";
export interface AddressInputProps {
    address: EthAddress;
    onChange(name: any, value: any): void;
}
export declare class AddressInput extends React.Component<AddressInputProps> {
    invalid(): boolean;
    render(): JSX.Element;
}
